package org.xbib.content.rdf;

import org.xbib.content.rdf.io.json.JsonContent;
import org.xbib.content.rdf.io.json.JsonContentParams;
import org.xbib.content.rdf.io.ntriple.NTripleContent;
import org.xbib.content.rdf.io.ntriple.NTripleContentParams;
import org.xbib.content.rdf.io.rdfxml.RdfXmlContent;
import org.xbib.content.rdf.io.rdfxml.RdfXmlContentParams;
import org.xbib.content.rdf.io.turtle.TurtleContent;
import org.xbib.content.rdf.io.turtle.TurtleContentParams;
import org.xbib.content.rdf.io.xml.XmlContent;
import org.xbib.content.rdf.io.xml.XmlContentParams;

import java.io.IOException;
import java.io.OutputStream;

public class RdfContentFactory {

    private RdfContentFactory() {
    }

    public static RdfContentBuilder<NTripleContentParams> ntripleBuilder(NTripleContentParams params) throws IOException {
        return NTripleContent.contentBuilder(params);
    }

    public static RdfContentBuilder<NTripleContentParams> ntripleBuilder(NTripleContentParams params, OutputStream outputStream)
            throws IOException {
        return NTripleContent.contentBuilder(params, outputStream);
    }

    public static RdfContentBuilder<RdfXmlContentParams> rdfXmlBuilder(RdfXmlContentParams params) throws IOException {
        return RdfXmlContent.contentBuilder(params);
    }

    public static RdfContentBuilder<RdfXmlContentParams> rdfXmlBuilder(RdfXmlContentParams params, OutputStream outputStream)
            throws IOException {
        return RdfXmlContent.contentBuilder(params, outputStream);
    }

    public static RdfContentBuilder<TurtleContentParams> turtleBuilder(TurtleContentParams params) throws IOException {
        return TurtleContent.contentBuilder(params);
    }

    public static RdfContentBuilder<TurtleContentParams> turtleBuilder(TurtleContentParams params, OutputStream outputStream) throws IOException {
        return TurtleContent.contentBuilder(params, outputStream);
    }

    public static RdfContentBuilder<XmlContentParams> xmlBuilder(XmlContentParams params) throws IOException {
        return XmlContent.contentBuilder(params);
    }

    public static RdfContentBuilder<JsonContentParams> jsonBuilder(JsonContentParams params) throws IOException {
        return JsonContent.contentBuilder(params);
    }
}
