package org.xbib.content.rdf;

import org.xbib.content.rdf.io.ntriple.NTripleContent;
import org.xbib.content.rdf.io.ntriple.NTripleContentParams;
import org.xbib.content.rdf.io.rdfxml.RdfXmlContent;
import org.xbib.content.rdf.io.rdfxml.RdfXmlContentParams;
import org.xbib.content.rdf.io.turtle.TurtleContent;
import org.xbib.content.rdf.io.turtle.TurtleContentParams;
import org.xbib.content.rdf.io.xml.XmlContent;
import org.xbib.content.rdf.io.xml.XmlContentParams;

import java.io.IOException;

public class RdfXContentFactory {

    private RdfXContentFactory() {
    }

    public static RdfContentBuilder<NTripleContentParams> ntripleBuilder(NTripleContentParams params) throws IOException {
        return NTripleContent.contentBuilder(params);
    }


    public static RdfContentBuilder<RdfXmlContentParams> rdfXmlBuilder(RdfXmlContentParams params) throws IOException {
        return RdfXmlContent.contentBuilder(params);
    }

    public static RdfContentBuilder<TurtleContentParams> turtleBuilder(TurtleContentParams params) throws IOException {
        return TurtleContent.contentBuilder(params);
    }

    public static RdfContentBuilder<XmlContentParams> xmlBuilder(XmlContentParams params) throws IOException {
        return XmlContent.contentBuilder(params);
    }

    public static RdfContentBuilder<RdfXContentParams> rdfXContentBuilder(RdfXContentParams params) throws IOException {
        return RdfXContent.contentBuilder(params);
    }

    public static RdfContentBuilder<RouteRdfXContentParams> routeRdfXContentBuilder(RouteRdfXContentParams params)
            throws IOException {
        return RouteRdfXContent.contentBuilder(params);
    }
}
