package org.xbib.content.rdf.test.io.ntriple;

import static org.xbib.content.rdf.RdfContentFactory.ntripleBuilder;

import org.junit.jupiter.api.Test;
import org.xbib.content.rdf.RdfContentBuilder;
import org.xbib.content.rdf.test.StreamTester;
import org.xbib.content.rdf.io.ntriple.NTripleContentParams;
import org.xbib.content.rdf.io.ntriple.NTripleContentParser;
import org.xbib.content.resource.IRINamespaceContext;

import java.io.IOException;
import java.io.InputStream;

public class NTripleReaderTest extends StreamTester {

    @Test
    public void testReader() throws Exception {
        String filename = "list.nt";
        IRINamespaceContext namespaceContext = IRINamespaceContext.newInstance(getClass());
        NTripleContentParams params = new NTripleContentParams(namespaceContext);
        try (InputStream inputStream = getClass().getResourceAsStream(filename)) {
            if (inputStream == null) {
                throw new IOException("file " + filename + " not found");
            }
            RdfContentBuilder<NTripleContentParams> builder = ntripleBuilder(params);
            NTripleContentParser<NTripleContentParams> reader = new NTripleContentParser<>(params, inputStream);
            reader.setBuilder(builder);
            reader.parse();
            assertStream("", getClass().getResource("rdfxml.ttl").openStream(),
                    builder.streamInput());
        }
    }
}
