package org.xbib.content.rdf.test.io.rdfxml;

import static org.xbib.content.rdf.RdfContentFactory.turtleBuilder;

import org.junit.jupiter.api.Test;
import org.xbib.content.rdf.io.rdfxml.RdfXmlContentParams;
import org.xbib.content.rdf.io.rdfxml.RdfXmlContentParser;
import org.xbib.content.rdf.io.turtle.TurtleContentParams;
import org.xbib.content.resource.IRINamespaceContext;
import org.xbib.content.rdf.test.StreamTester;

import java.io.IOException;
import java.io.InputStream;

public class VIAFRdfXmlReaderTest extends StreamTester {

    @Test
    public void testVIAF() throws Exception {
        try (InputStream inputStream = getClass().getResourceAsStream("VIAF.rdf")) {
            if (inputStream == null) {
                throw new IOException("VIAF.rdf not found");
            }
            IRINamespaceContext namespaceContext = IRINamespaceContext.newInstance(getClass());
            TurtleContentParams params = new TurtleContentParams(namespaceContext, false);
            StringBuilder sb = new StringBuilder();
            RdfXmlContentParser<TurtleContentParams> parser = new RdfXmlContentParser<>(params, inputStream);
            parser.setRdfContentBuilderProvider(() -> turtleBuilder(params))
                    .setRdfContentBuilderHandler(builder -> sb.append(builder.string()))
                    .parse();
            assertStream("viaf.ttl", getClass().getResource("viaf.ttl").openStream(), sb.toString());
        }
    }
}
