package org.xbib.content.rdf.test.io.turtle;

import org.junit.jupiter.api.Test;
import org.xbib.content.rdf.RdfContentFactory;
import org.xbib.content.rdf.io.turtle.TurtleContentParams;
import org.xbib.content.rdf.io.turtle.TurtleContentParser;
import org.xbib.content.resource.IRI;
import org.xbib.content.rdf.test.StreamTester;
import org.xbib.content.resource.IRINamespaceContext;

import java.io.InputStream;

import static org.xbib.content.rdf.RdfContentFactory.turtleBuilder;

public class TurtleConformanceTest extends StreamTester {

    @Test
    public void conformance() throws Exception {
        IRINamespaceContext namespaceContext = IRINamespaceContext.newInstance(getClass());
        TurtleContentParams params = new TurtleContentParams(namespaceContext, false);
        for (int n = 0; n < 30; n++) {
            String testNum = String.format("%02d", n);
            try (InputStream inputStream = getClass().getResourceAsStream("test-" + testNum + ".ttl")) {
                TurtleContentParser<TurtleContentParams> turtleParser = new TurtleContentParser<TurtleContentParams>(params, inputStream)
                        .setBaseIRI(IRI.create("http://example/base/"));
                turtleParser.setRdfContentBuilderProvider(() -> turtleBuilder(params));
                turtleParser.setRdfContentBuilderHandler(b -> {
                    //logger.log(Level.INFO, MessageFormat.format("turtle test {0}", b.string()));
                });
                turtleParser.parse();
            }
        }
    }
}
