package org.xbib.content.resource.test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import org.junit.jupiter.api.Test;
import org.xbib.content.resource.IRI;
import org.xbib.content.resource.IRINamespaceContext;

public class IRINamespaceCompactionTest {

    @Test
    public void testCompaction() {
        IRINamespaceContext context = IRINamespaceContext.newInstance(getClass());
        assertEquals("dc", context.getPrefix("http://purl.org/dc/elements/1.1/"));
        assertEquals("http://purl.org/dc/elements/1.1/", context.getNamespaceURI("dc"));
        IRI dc = IRI.create("http://purl.org/dc/elements/1.1/creator");
        assertEquals(context.compact(dc), "dc:creator");
    }
}
