package org.xbib.content.xml.test.json;

import org.junit.jupiter.api.Test;
import org.xbib.content.xml.XmlNamespaceContext;
import org.xbib.content.xml.json.JsonXmlReader;
import org.xbib.content.xml.transform.StylesheetTransformer;
import org.xml.sax.InputSource;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.StringWriter;
import java.io.Writer;
import java.util.Locale;
import javax.xml.namespace.QName;
import javax.xml.transform.sax.SAXSource;

public class StylesheetTransformerTest {

    @Test
    public void testJsonAsXML() throws Exception {
        QName root = new QName("http://example.org", "result", "ex");
        try (InputStream inputStream = getClass().getResourceAsStream("dc.json");
             Writer writer = new StringWriter()) {
            if (inputStream == null) {
                throw new IOException("dc.json not found");
            }
            XmlNamespaceContext context = XmlNamespaceContext.newInstance(getClass());
            context.addNamespace("xbib", "http://xbib.org/");
            context.addNamespace("bib", "info:bib");
            context.addNamespace("lia", "http://xbib.org/lia/");
            JsonXmlReader reader = new JsonXmlReader()
                    .root(root)
                    .context(context);
            StylesheetTransformer transformer = new StylesheetTransformer();
            transformer.setSource(new SAXSource(reader, new InputSource(inputStream)))
                    .setResult(writer)
                    .transform();
            transformer.close();
        }
    }
}
